<?php
defined("ABSPATH") || exit();

class SuperbInfoContentConfig
{
    const THEME_LINK = 'https://superbthemes.com/superb-ecommerce/';
    const DEMO_LINK = 'https://superbthemes.com/demo/superb-ecommerce/';

    private $FEATURES = array();

    public function __construct()
    {
        $this->AddFeature(__("Customize Header Logo, Text & Background Color", "superb-ecommerce"), "purple-paint-brush.svg");
        $this->AddFeature(__("Translation Ready", "superb-ecommerce"), "purple-article-medium.svg");
        $this->AddFeature(__("Fully SEO Optimized", "superb-ecommerce"), "purple-gauge.svg");
        $this->AddFeature(__("Customize All Fonts", "superb-ecommerce"), "purple-article-medium.svg");
        $this->AddFeature(__("Customize All Colors", "superb-ecommerce"), "purple-paint-brush.svg");
        $this->AddFeature(__("Importable Demo Content", "superb-ecommerce"), "purple-images.svg");
        $this->AddFeature(__("Elementor Compatible", "superb-ecommerce"), "purple-elementor-logo.svg");
        $this->AddFeature(__("Replace Copyright Text", "superb-ecommerce"), "purple-copyright.svg");
        $this->AddFeature(__("Full-Width Page Template", "superb-ecommerce"), "purple-frame-corners.svg");
        $this->AddFeature(__("Access All Child Themes", "superb-ecommerce"), "purple-images.svg");
        $this->AddFeature(__("Customer Support and Documentation", "superb-ecommerce"), "purple-files.svg");
        $this->AddFeature(__("Multiple Website Support", "superb-ecommerce"), "purple-files.svg");

        $this->AddFeature(__("Display Header Widgets On All Pages Or Front Page Only.", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Multiple Blog Layouts (1-column Or 2-columns).", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Show Full Posts Or Only Excerpt On Blog.", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Hide Author Name From Byline.", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Hide/show Related Posts On Posts And Pages.", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Hide/show Next/previous Buttons On Posts.", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Hide/show Categories And Tags On Posts And Pages.", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Hide/show Woocommerce Sidebar.", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Hide/show Sidebar On Blog Feed.", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Full Width Page Template", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Page Builder Template", "superb-ecommerce"), "gear.svg");
        $this->AddFeature(__("Hide/show Go To Top Button.", "superb-ecommerce"), "gear.svg");

        $this->AddFeature(__("Remove 'Tag' from Tag Page Title", "superb-ecommerce"), "purple-article-medium.svg");
        $this->AddFeature(__("Remove 'Author' from Author Page Title", "superb-ecommerce"), "purple-article-medium.svg");
        $this->AddFeature(__("Remove 'Category' from Category Page Title", "superb-ecommerce"), "purple-article-medium.svg");
    }

    private function AddFeature($title, $icon)
    {
        $this->FEATURES[] = array(
            "title" => $title,
            "icon" => $icon
        );
    }

    public function GetFeatures()
    {
        return $this->FEATURES;
    }
}
